On Fri, 27 Dec 2024, Sam James wrote:
(Why?)
By default, makeinfo will split large output files into smaller
subfiles. Although this doesn't currently happen for any package,
it might happen in future, and it would break some assumptions.
The threshold for splitting is 300 kB, and we have at least three
packages with larger info files. The reason they don't break is that
they use the upstream Makefile rather than the eclass function.
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -139,7 +139,7 @@ elisp_src_configure() { :; }
elisp_src_compile() {
elisp-compile *.el
if [[ -n ${ELISP_TEXINFO} ]]; then
- makeinfo ${ELISP_TEXINFO} || die
+ makeinfo --no-split ${ELISP_TEXINFO} || die
fi
}
-----BEGIN PGP SIGNATURE-----
iQFDBAEBCAAtFiEEtDnZ1O9xIP68rzDbUYgzUIhBXi4FAmdudQQPHHVsbUBnZW50 b28ub3JnAAoJEFGIM1CIQV4uYRwIANu/gJKQWHQX1RUdp5hMAiBzN7QAjBb+AUTa d6alQ4hVXXm0vR27um9PmXzELRbRI8E4iWOwctWb08KdiUx817axq6rGdJlIQBKu OjlGi/nC5YBiM045UmMzv7gKFTsLg7Dt7fSfGCTvJyY4NGfFwjavahQ3tH6YmQjr 8wJzVDkyCI3Z51vvz22sBwlpNnG9rm37x9KBCJLZCsfWJlGdkdvv5l2wtnmlwXtx AKCkO/4LlAIzSb86imMd11BR70qaIy6VQhUwu55tAuH4nxsUOKr0dFw85H2h8GJF ta7f3YoUJVR10X/cYeqoHovHSUn7bA3dEVUAMxscGqA6V1gvtLU=
=LiE3
-----END PGP SIGNATURE-----
--- SoupGate-Win32 v1.05
* Origin: fsxNet Usenet Gateway (21:1/5)